# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'atlantis/version'

Gem::Specification.new do |spec|
  spec.name          = "atlantispro"
  spec.version       = Atlantis::VERSION
  spec.authors       = ["Dal Rupnik"]
  spec.email         = ["legoless@gmail.com"]
  spec.summary       = "A command line interface to connect to distribution services such as TestFlight or Crashlytics."
  spec.description   = "A simple command line interface to work with multiple application distribution services, such as TestFlight or Crashlytics. Allows for downloading of device identifiers, registered testers and more."
  spec.homepage      = "https://github.com/legoless/Atlantis"
  spec.license       = "MIT"

  spec.add_dependency "commander", "~> 4.1.2"
  spec.add_dependency "terminal-table", "~> 1.4.5"
  spec.add_dependency "term-ansicolor", "~> 1.0.7"
  spec.add_dependency "mechanize", "~> 2.5.1"
  spec.add_dependency "nokogiri", "~> 1.5.9"
  spec.add_dependency "security", "~> 0.1.2"
  spec.add_dependency "certified", ">= 0.1.0"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
